ROCKSNDIAMONDS(6)

NAME
rocksndiamonds - starts the Rocks'n'Diamonds game

SYNOPSIS
rocksndiamonds [options]
rocksndiamonds [--debug] -V|--version
rocksndiamonds --serveronly
rocksndiamonds -e|--execute <command>

DESCRIPTION
rocksndiamonds starts the Rocks'n'Diamonds game.

rocksndiamonds -V displays the program's version information. If the --debug option is prepended, some of the dependencies' versions are displayed too (currently, SDL).

rocksndiamonds --serveronly starts a network server (with no graphical output).

rocksndiamonds --execute <command> runs the given batch command (see BATCH COMMANDS for details).

OPTIONS

-b, --basepath <path>
    uses path as the base directory.

-l, --level <path>
    uses path as the level directory.

-g, --graphics <path>
    uses path as the graphics directory.

-s, --sounds <path>
    uses path as the sounds directory.

-m, --music <path>
    uses path as the music directory.

--mytapes
    uses private tapes for tape tests.

-n, --network <host> [<port>]
    starts a network game, connecting to the given host on the given port.

-v, --verbose
    enables verbose mode.

--debug
    displays debugging information.

BATCH COMMANDS
rocksndiamonds --execute <command> recognises the following commands, which must be provided as a single argument after --execute:

"print graphicsinfo.conf"
    prints the default graphics configuration.

"print soundsinfo.conf"
    prints the default sounds configuration.

"print musicinfo.conf"
    prints the default music configuration.

"print editorsetup.conf"
    prints the default editor configuration.

"print helpanim.conf"
    prints the default helpanim config TODO

"print helptext.conf"
    prints the default help text configuration.

"dump level <file>"
    dumps the level data from file.

"dump tape <file>"
    dumps the tape data from file.

"autotest <leveldir> [<number> [...]]"
    tests level tapes for leveldir.

"autoplay <leveldir> [<number> [...]]"
    plays level tapes for leveldir.

"autoffwd <leveldir> [<number> [...]]"
    fast-forwards level tapes for leveldir.

"autowarp <leveldir> [<number> [...]]"
    warps level tapes for leveldir.

"convert <leveldir> [<number>]"
    converts levels in leveldir.

"create images <directory>"
    writes BMP images to directory.

"create CE image <directory>"
    writes a custom element BMP image to directory.